Replace lightup_screen by backlight_tool

We are deprecating lightup_screen which was created as a quick fix for a bug.
backlight_tool will replace it in factory_install.sh.

BUG=chromium:348214
TEST=trybot on daisy-factory and x86-mario-factory

Change-Id: Ib3cd2f548de5133a6145b0b8b02eb209d79d51c3
Reviewed-on: https://chromium-review.googlesource.com/189035
Reviewed-by: Daniel Erat <derat@chromium.org>
Commit-Queue: Bertrand Simonnet <bsimonnet@chromium.org>
Tested-by: Bertrand Simonnet <bsimonnet@chromium.org>
diff --git a/factory_install.sh b/factory_install.sh
index 12ca326..9aab4c8 100644
--- a/factory_install.sh
+++ b/factory_install.sh
@@ -318,12 +318,7 @@
 
 lightup_screen() {
   # Light up screen in case you can't see our splash image.
-  local script="/usr/sbin/lightup_screen"
-  if [ -x "$script" ]; then
-    $script
-  else
-    log "$script does not exist or not executable"
-  fi
+  backlight_tool --set_brightness_percent 100 || true
 }
 
 load_modules() {
@@ -1022,6 +1017,8 @@
   config_tty
 
   log "Starting Factory Installer."
+  # TODO: do we still need this call now that the kernel was tweaked to
+  # provide a good light level by default?
   lightup_screen
 
   load_modules